apiVersion: apps/v1
kind: Deployment
metadata:
  name: dpl
spec:
  template:
    spec:
      imagePullSecrets:
        - name: digilab-image-registry
      containers:
        - name: verwerkingenoverzicht-toxiproxy
          image: toxiproxy-image
          ports:
            - name: http
              containerPort: 8080
          volumeMounts:
            - name: config
              mountPath: /app/config.json
              subPath: config.json
      volumes:
        - name: config
          configMap:
            name: toxiproxy-config
